Summary:        Firmware for several ALSA-supported sound cards
Name:           alsa-firmware
Version:        1.2.4
Release:        4%{?dist}
License:        GPL+ and BSD and GPLv2+ and GPLv2 and LGPLv2+
URL:            http://www.alsa-project.org/
Source0:        ftp://ftp.alsa-project.org/pub/firmware/alsa-firmware-%{version}.tar.bz2

BuildRequires:  libtool autoconf automake make
Requires:       alsa-tools-firmware >= 1.1.7 systemd

BuildArch:      noarch

%description
This package contains the firmware binaries for a number of sound cards.
Some (but not all of these) require firmware loaders which are included in
the alsa-tools-firmware package.


%prep
%autosetup

%build
sed -i s#'multisound/Makefile \\'## configure.ac
sed -i s#multisound## Makefile.am

autoreconf -vif
%configure --disable-loader
%make_build

for i in hdsploader mixartloader pcxhrloader usx2yloader vxloader ca0132
do
  mv ${i}/README README.${i}
done
mv aica/license.txt LICENSE.aica_firmware
mv aica/Dreamcast_sound.txt aica_dreamcast_sound.txt
mv ca0132/creative.txt LICENSE.creative_txt


%install
%make_install

%files
%license LICENSE*
%doc COPYING README* aica_dreamcast_sound.txt
/lib/firmware/aica_firmware.bin
/lib/firmware/asihpi
/lib/firmware/digiface_firmware*
%dir /lib/firmware/ea
/lib/firmware/ea/3g_asic.fw
/lib/firmware/ea/darla20_dsp.fw
/lib/firmware/ea/darla24_dsp.fw
/lib/firmware/ea/echo3g_dsp.fw
/lib/firmware/ea/gina20_dsp.fw
/lib/firmware/ea/gina24_301_asic.fw
/lib/firmware/ea/gina24_301_dsp.fw
/lib/firmware/ea/gina24_361_asic.fw
/lib/firmware/ea/gina24_361_dsp.fw
/lib/firmware/ea/indigo_dj_dsp.fw
/lib/firmware/ea/indigo_djx_dsp.fw
/lib/firmware/ea/indigo_dsp.fw
/lib/firmware/ea/indigo_io_dsp.fw
/lib/firmware/ea/indigo_iox_dsp.fw
/lib/firmware/ea/layla20_asic.fw
/lib/firmware/ea/layla20_dsp.fw
/lib/firmware/ea/layla24_1_asic.fw
/lib/firmware/ea/layla24_2A_asic.fw
/lib/firmware/ea/layla24_2S_asic.fw
/lib/firmware/ea/layla24_dsp.fw
/lib/firmware/ea/loader_dsp.fw
/lib/firmware/ea/mia_dsp.fw
/lib/firmware/ea/mona_2_asic.fw
/lib/firmware/ea/mona_301_1_asic_48.fw
/lib/firmware/ea/mona_301_1_asic_96.fw
/lib/firmware/ea/mona_301_dsp.fw
/lib/firmware/ea/mona_361_1_asic_48.fw
/lib/firmware/ea/mona_361_1_asic_96.fw
/lib/firmware/ea/mona_361_dsp.fw
%dir /lib/firmware/emu
/lib/firmware/emu/audio_dock.fw
/lib/firmware/emu/emu0404.fw
/lib/firmware/emu/emu1010_notebook.fw
/lib/firmware/emu/emu1010b.fw
/lib/firmware/emu/hana.fw
/lib/firmware/emu/micro_dock.fw
/lib/firmware/ess
/lib/firmware/korg
/lib/firmware/mixart
/lib/firmware/multiface_firmware*
/lib/firmware/pcxhr
/lib/firmware/rpm_firmware.bin
/lib/firmware/sb16
/lib/firmware/vx
/lib/firmware/yamaha
/lib/firmware/ctefx.bin
/lib/firmware/ctspeq.bin
/lib/firmware/ctefx-desktop.bin
/lib/firmware/ctefx-r3di.bin
/lib/firmware/cs46xx
%{_datadir}/alsa/firmware


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.4-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 25 2022 Feng Weiyao <wynnfeng@tencent.com> - 1.2.4-1
- package init.
